# Class ToolConfirmation

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.events.ToolConfirmation

public abstract class ToolConfirmation extends JsonBaseModel
Represents a tool confirmation configuration.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ToolConfirmation.Builder`
  Builder for `ToolConfirmation`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToolConfirmation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ToolConfirmation.Builder`
  `builder()`
  `abstract boolean`
  `confirmed()`
  `abstract @Nullable String`
  `hint()`
  `abstract @Nullable Object`
  `payload()`
  `abstract ToolConfirmation.Builder`
  `toBuilder()`

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToolConfirmation

    public ToolConfirmation()

- ## Method Details

  - ### hint

    public abstract @Nullable String hint()

  - ### confirmed

    public abstract boolean confirmed()

  - ### payload

    public abstract @Nullable Object payload()

  - ### builder

    public static ToolConfirmation.Builder builder()

  - ### toBuilder

    public abstract ToolConfirmation.Builder toBuilder()